Skip to main content
`Ctrl`+`K`

# DMGetRegionNumDS

Get the `PetscDS` for a given mesh region, defined by the region number

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetRegionNumDS(DM dm, PetscInt num, DMLabel *label, IS *fields, PetscDS *ds, PetscDS *dsIn)

Not Collective

## Input Parameters

- dm - The `DM`

- num - The region number, in [0, Nds)

## Output Parameters

- label - The region label, or `NULL`

- fields - The `IS` containing the `DM` field numbers for the fields in this `PetscDS`, or `NULL`

- ds - The `PetscDS` defined on the given region, or `NULL`

- dsIn - The `PetscDS` for input in the given region, or `NULL`

## See Also

DM Basics, `DM`, `DMGetRegionDS()`, `DMSetRegionDS()`, `DMGetDS()`, `DMGetCellDS()`

## Level

advanced

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex23.c
src/ts/tutorials/ex53.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages